import { CustomJSONParse as e } from "../../functions/utils/serialize.utils.mjs";
//#region libs/shared/common/src/data-structures/cacheDevices/BaseCacheDevice.ts
var t = class {
	inMemoryCache = /* @__PURE__ */ new Map();
	constructor(e) {
		e && this.mergeWithSerialized(e);
	}
	getInMemory(e) {
		return this.inMemoryCache.get(e) ?? void 0;
	}
	setInMemory(e, t) {
		this.inMemoryCache.set(e, t);
	}
	mergeWithSerialized(t) {
		Object.entries(t).forEach(([t, n]) => {
			this.set(t, e(n));
		});
	}
};
//#endregion
export { t as BaseCacheDevice };
